Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

[DDE] No start menu after login

Started by c.monty, November 19, 2017, 11:44:54 AM

Previous topic - Next topic

c.monty

Hello!
I have installed DDE from repo "sparky-dde.list".

The installation finished w/o errors.
However, after reboot and starting display manager I can logon but there's no start menu loaded; there's only the background.

What's causing this issue?

Update:
I have identified the following lines in syslog:
Nov 19 18:50:24 pc8-nb com.deepin.dde.Dock[925]: /usr/bin/dde-dock: relocation error: /usr/lib/x86_64-linux-gnu/libdtkwidget.so.2: symbol _ZN27QPlatformIntegrationFactory4keysERK7QString, version Qt_5 not defined in file libQt5Gui.so.5 with link time reference
Nov 19 18:50:24 pc8-nb daemon/watchdog[901]: manager.go:76: Launch 'dde-dock' failed: org.freedesktop.DBus.Error.Spawn.ChildExited:Process com.deepin.dde.Dock exited with status 127

Nov 19 18:50:24 pc8-nb com.deepin.dde.desktop[925]: /usr/bin/dde-desktop: relocation error: /usr/lib/x86_64-linux-gnu/libdde-file-manager.so.1: symbol _ZN25QPlatformFileDialogHelper12filterRegExpE, version Qt_5 not defined in file libQt5Gui.so.5 with link time reference
Nov 19 18:50:24 pc8-nb daemon/watchdog[901]: manager.go:76: Launch 'dde-desktop' failed: org.freedesktop.DBus.Error.Spawn.ChildExited:Process com.deepin.dde.desktop exited with status 127


THX

pavroo

I've been working on it, so be patient, please.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

pavroo

#2
Looks like the the dde applications have been compiled with different version of Qt then Debian have, and they don't want to start.
A solution is to build the packages with present verision of Qt or wait for deepin devs to do so.
I don't have so much time to compile so many dde related packages, so in my way, if something doesn't work shoudn't be kept in repos.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

c.monty

I'm trying to build the packages in Debian Buster with qt5.
For package "dde-control-center" I get this error:
g++ -c -pipe -O2 -std=gnu++1y -Wall -W -D_REENTRANT -fPIC -DQT_MESSAGELOGCONTEXT -DQT_MESSAGELOGCONTEXT -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_WIDGETS_LIB -DQT_X11EXTRAS_LIB -DQT_GUI_LIB -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_CONCURRENT_LIB -DQT_CORE_LIB -I../../frame -I. -I../../interfaces -I../../widgets -I../../modules -isystem /usr/include/libdtk-2.0/DWidget -isystem /usr/include/libdtk-2.0/DCore -isystem /usr/include/libdframeworkdbus-1.0 -isystem /usr/include/x86_64-linux-gnu/qt5/QGSettings -isystem /usr/include/x86_64-linux-gnu/qt5 -isystem /usr/include/x86_64-linux-gnu/qt5/QtSvg -isystem /usr/include/x86_64-linux-gnu/qt5/QtWidgets -isystem /usr/include/x86_64-linux-gnu/qt5/QtX11Extras -isystem /usr/include/x86_64-linux-gnu/qt5/QtGui -isystem /usr/include/x86_64-linux-gnu/qt5/QtDBus -isystem /usr/include/x86_64-linux-gnu/qt5/QtSql -isystem /usr/include/x86_64-linux-gnu/qt5/QtConcurrent -isystem /usr/include/x86_64-linux-gnu/qt5/QtCore -I. -isystem /usr/include/libdrm -I/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++ -o updatemodule.o ../../modules/update/updatemodule.cpp
In file included from ../../modules/update/updatemodule.h:34:0,
                 from ../../modules/update/updatemodule.cpp:26:
../../modules/update/updatework.h:37:10: fatal error: com_deepin_lastoresessionhelper.h: Datei oder Verzeichnis nicht gefunden
#include <com_deepin_lastoresessionhelper.h>
          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
compilation terminated.
Makefile:6268: die Regel für Ziel ,,updatemodule.o" scheiterte
make[1]: *** [updatemodule.o] Fehler 1
make[1]: Verzeichnis ,,/home/dde-control-center/Build/frame" wird verlassen
Makefile:46: die Regel für Ziel ,,sub-frame-make_first" scheiterte
make: *** [sub-frame-make_first] Fehler 2


Any idea what is missing here?

THX

pavroo

Datei oder Verzeichnis nicht gefunden
#include <com_deepin_lastoresessionhelper.h>

Probably missing lastore-daemon-dev or lastore-dev package.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

c.monty

I can't find any lastore dev package in the Debian repos.

Due to lack of experience with building packages and providing them to a repo I will stop this project now.

However, I would like to continue trouble-shooting with the existing packages in Sparky repo.
Or is this desktop dead in Sparky?

THX

pavroo

Debian has not any dde related packages.
You should find them at dde repos:
http://packages.deepin.com/deepin/pool/main/

Anyway, I stoped supporting dde due to lack of time:
https://sparkylinux.org/sparky-news-2017-12-30/
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

View the most recent posts on the forum